Loading...
Searching...
No Matches
InferArguments.h File Reference

Interface for a visitor to infer arguments used in a body Stmt. More...

`#include <vector>`
`#include "Argument.h"`
`#include "Buffer.h"`
`#include "Expr.h"`
`#include "Parameter.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::InferredArgument
| An inferred argument. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::vector< InferredArgument > | Halide::Internal::infer_arguments (const Stmt &body, const std::vector< Function > &outputs)

## Detailed Description

Interface for a visitor to infer arguments used in a body Stmt.

Definition in file InferArguments.h.